Subject: Re: RFC: Flat directory for notes, or fan-out? Both!

From: Thomas Rast <[email-masked]>
Date: Tue, 10 Feb 2009 23:26:46 +0100

Thomas Rast wrote:
> Sure, one problem is that the index reading code is inherently written
> for a single index state.  However, all notes consumers I can
> currently think of (show, log, anything that displays commit messages)
> do not have to access the "real" index.
[...]
> At a (*very*) cursory glance at read-cache.c, it seems that there is
> even support for having several index structures in memory at once,
> making this easy.  And it looks like reading the cache is more or less
> memcpy() if xmmap() is fast (Windows would suffer once again).

Note to self: do not write mail on bus, then pick up later at home.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch